Skip to main content
GET
Get product (offer) by id
OAuth scope: offer_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

OAuth 2.0 access token, sent as Authorization: Bearer <token>. See https://docs.fourthwall.com/guides/oauth. The scopes an operation requires are listed in its x-fourthwall-scopes.

Path Parameters

productId
string
required

Response

OK

id
string
required
Example:

"00aa4abd-5778-4199-8161-0b49b2f212e5"

name
string
required
Example:

"My t-shirt"

slug
string
required
Example:

"my-t-shirt"

description
string
required
Example:

"My t-shirt description"

type
enum<string>
required
Available options:
STANDARD,
GIFT_CARD,
UNKNOWN
state
Available · object
required
access
Archived · object
required
images
Image · object[]
required
variants
Offer Variant · object[]
required
createdAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

updatedAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

thumbnailImage
Image · object
additionalInformation
Offer Additional Information · object
sizeGuide
Offer Size Guide · object
digitalFiles
Digital File · object[]

Digital files attached to this offer. Only present for digital offers.